#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAA,0x13,0xAE,0x73,0xCA,0xB5,0x29,0x5A,0xFA,0xF8,0xE5,0xF4,
		0xEF,0xDC,0xDA,0xDB,0x60,0xC2,0xD2,0x37,0xC5,0xD3,0x10,0x42,
		0x2A,0x33,0x72,0x6F,0xD9,0x55,0x02,0xDC,0x89,0x1A,0xA8,0x25,
		0xAD,0x03,0xE3,0x8A,0x04,0xAA,0x55,0xB2,0xF4,0x38,0xFF,0xC8,
		0x56,0xA4,0xD2,0x63,0xF9,0xD2,0x9D,0xAB,0x9A,0x04,0xC6,0x25,
		0x5F,0x44,0xAA,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
